# Record a session

Section: Your data › Recruitment tracker › Sessions

```
POST https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions
```

Records a session. Sessions must be recorded in chronological order (`400` otherwise).

**Parameters**

- `accountId` (path): The recruitment account id.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Path parameters

| Name | Value |
| --- | --- |
| `accountId` |  |

## Headers

| Name | Value |
| --- | --- |
| `Content-Type` | `application/json` |

## Body

Content type: `application/json`

```json
{
  "name": "Racing HifuAzu",
  "date": 1793186803513,
  "isFestBanner": false,
  "kind": "limited",
  "permanentStartCharge": 0,
  "limitedStartCharge": 8,
  "permanentPulls": 0,
  "limitedPulls": 153,
  "pickupsObtained": [
    {
      "studentId": "hifumi_racing",
      "charge": 100,
      "kind": "limited"
    },
    {
      "studentId": "azusa_racing",
      "charge": 58,
      "kind": "limited"
    }
  ],
  "threeStarCount": 4,
  "rebateTicketsFromPreviousSession": 0,
  "rebateTicketsUsed": 2
}
```

## Example responses

### 201 Created

```json
{
  "data": {
    "id": "m97av0zgt5v6bbmt5ny2pgq1w98h4g6q",
    "createdAt": "2026-10-28T11:32:05.383Z",
    "name": "Racing HifuAzu",
    "computedStats": {
      "earnedRebateTickets": 3,
      "endCharge": 3,
      "experiencedPURate": 1.3071895424836601,
      "experiencedThreeStarRate": 2.6143790849673203,
      "hardPities": 0,
      "limitedEndCharge": 3,
      "paidPulls": 133,
      "permanentEndCharge": 0,
      "pickupClassifications": [
        {
          "studentId": "hifumi_racing",
          "charge": 100,
          "classification": "softWin",
          "kind": "limited"
        },
        {
          "studentId": "azusa_racing",
          "charge": 58,
          "classification": "beforeSoftPity",
          "kind": "limited"
        }
      ],
      "pickupCount": 2,
      "pools": {
        "limited": {
          "endCharge": 3,
          "hardPities": 0,
          "pickupCount": 2,
          "pulls": 153,
          "softPityLosses": 0,
          "softPityWins": 1,
          "startCharge": 8
        },
        "permanent": {
          "endCharge": 0,
          "hardPities": 0,
          "pickupCount": 0,
          "pulls": 0,
          "softPityLosses": 0,
          "softPityWins": 0,
          "startCharge": 0
        }
      },
      "pullsPerPU": 76.5,
      "pullsPerThreeStar": 38.25,
      "pyroxenesSaved": 2400,
      "pyroxenesSpent": 15960,
      "rebatePulls": 20,
      "rebateTicketsUsed": 2,
      "remainingRebateTickets": 1,
      "softPityLosses": 0,
      "softPityWins": 1
    },
    "date": 1793186803513,
    "isFestBanner": false,
    "isLatest": true,
    "kind": "limited",
    "limitedPulls": 153,
    "limitedStartCharge": 8,
    "permanentPulls": 0,
    "permanentStartCharge": 0,
    "pickupsObtained": [
      {
        "studentId": "hifumi_racing",
        "charge": 100,
        "kind": "limited"
      },
      {
        "studentId": "azusa_racing",
        "charge": 58,
        "kind": "limited"
      }
    ],
    "rebateTicketsFromPreviousSession": 0,
    "rebateTicketsUsed": 2,
    "recruitmentAccountId": "m575f032hbdgstqydc8qbfx4318d039r",
    "startCharge": 8,
    "stats": {
      "earnedRebateTickets": 3,
      "endCharge": 3,
      "experiencedPURate": 1.3071895424836601,
      "experiencedThreeStarRate": 2.6143790849673203,
      "hardPities": 0,
      "limitedEndCharge": 3,
      "paidPulls": 133,
      "permanentEndCharge": 0,
      "pickupClassifications": [
        {
          "studentId": "hifumi_racing",
          "charge": 100,
          "classification": "softWin",
          "kind": "limited"
        },
        {
          "studentId": "azusa_racing",
          "charge": 58,
          "classification": "beforeSoftPity",
          "kind": "limited"
        }
      ],
      "pickupCount": 2,
      "pools": {
        "limited": {
          "endCharge": 3,
          "hardPities": 0,
          "pickupCount": 2,
          "pulls": 153,
          "softPityLosses": 0,
          "softPityWins": 1,
          "startCharge": 8
        },
        "permanent": {
          "endCharge": 0,
          "hardPities": 0,
          "pickupCount": 0,
          "pulls": 0,
          "softPityLosses": 0,
          "softPityWins": 0,
          "startCharge": 0
        }
      },
      "pullsPerPU": 76.5,
      "pullsPerThreeStar": 38.25,
      "pyroxenesSaved": 2400,
      "pyroxenesSpent": 15960,
      "rebatePulls": 20,
      "rebateTicketsUsed": 2,
      "remainingRebateTickets": 1,
      "softPityLosses": 0,
      "softPityWins": 1
    },
    "threeStarCount": 4,
    "totalPulls": 153
  }
}
```

## Examples

### cURL

```bash
curl -X POST https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {{api_key}}' \
  --data-raw '{
  "name": "Racing HifuAzu",
  "date": 1793186803513,
  "isFestBanner": false,
  "kind": "limited",
  "permanentStartCharge": 0,
  "limitedStartCharge": 8,
  "permanentPulls": 0,
  "limitedPulls": 153,
  "pickupsObtained": [
    {
      "studentId": "hifumi_racing",
      "charge": 100,
      "kind": "limited"
    },
    {
      "studentId": "azusa_racing",
      "charge": 58,
      "kind": "limited"
    }
  ],
  "threeStarCount": 4,
  "rebateTicketsFromPreviousSession": 0,
  "rebateTicketsUsed": 2
}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "Bearer {{api_key}}",
  },
  body: JSON.stringify({
    "name": "Racing HifuAzu",
    "date": 1793186803513,
    "isFestBanner": false,
    "kind": "limited",
    "permanentStartCharge": 0,
    "limitedStartCharge": 8,
    "permanentPulls": 0,
    "limitedPulls": 153,
    "pickupsObtained": [
      {
        "studentId": "hifumi_racing",
        "charge": 100,
        "kind": "limited"
      },
      {
        "studentId": "azusa_racing",
        "charge": 58,
        "kind": "limited"
      }
    ],
    "threeStarCount": 4,
    "rebateTicketsFromPreviousSession": 0,
    "rebateTicketsUsed": 2
  }),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions"
headers = {
    "Authorization": "Bearer {{api_key}}",
}
payload = {
    "name": "Racing HifuAzu",
    "date": 1793186803513,
    "isFestBanner": False,
    "kind": "limited",
    "permanentStartCharge": 0,
    "limitedStartCharge": 8,
    "permanentPulls": 0,
    "limitedPulls": 153,
    "pickupsObtained": [
        {
            "studentId": "hifumi_racing",
            "charge": 100,
            "kind": "limited",
        },
        {
            "studentId": "azusa_racing",
            "charge": 58,
            "kind": "limited",
        },
    ],
    "threeStarCount": 4,
    "rebateTicketsFromPreviousSession": 0,
    "rebateTicketsUsed": 2,
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{
  "name": "Racing HifuAzu",
  "date": 1793186803513,
  "isFestBanner": false,
  "kind": "limited",
  "permanentStartCharge": 0,
  "limitedStartCharge": 8,
  "permanentPulls": 0,
  "limitedPulls": 153,
  "pickupsObtained": [
    {
      "studentId": "hifumi_racing",
      "charge": 100,
      "kind": "limited"
    },
    {
      "studentId": "azusa_racing",
      "charge": 58,
      "kind": "limited"
    }
  ],
  "threeStarCount": 4,
  "rebateTicketsFromPreviousSession": 0,
  "rebateTicketsUsed": 2
}`)

	req, err := http.NewRequest("POST", "https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions", body)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Content-Type", "application/json")
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
